{
    attributes = (
        {
            columnName = "D_CREATION"; 
            externalType = TIMESTAMP; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = TIMESTAMP; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ELOCC_ORDRE"; 
            externalType = NUMBER; 
            name = eloccOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ELOC_ORDRE"; 
            externalType = NUMBER; 
            name = elocOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_EMPLOI_LOCALISATION"; 
            externalType = NUMBER; 
            name = idEmploiLocalisation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (eloccOrdre); 
    className = "org.cocktail.connecteur.serveur.modele.correspondance.EOEmploiLocalisationCorresp"; 
    classProperties = (dCreation, dModification, toEmploiLocalisation, toMangueEmploiLocalisation); 
    externalName = "IMPORT.EMPLOI_LOC_CORRESP"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_clientClassPropertyNames" = (dCreation, dModification); }; 
    name = EmploiLocalisationCorresp; 
    primaryKeyAttributes = (eloccOrdre); 
    relationships = (
        {
            destination = EmploiLocalisation; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = elocOrdre; sourceAttribute = elocOrdre; }); 
            name = toEmploiLocalisation; 
        }, 
        {
            destination = MangueEmploiLocalisation; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = idEmploiLocalisation; 
                    sourceAttribute = idEmploiLocalisation; 
                }
            ); 
            name = toMangueEmploiLocalisation; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = ObjetCorresp; }; }; 
}
